Gallery Platform API
Reference

Get a fair portal recipe

Returns a single recipe by id.

GET
/gallery/fair-recipes/{id}

Returns a single recipe by id.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "portal_domain": "string",  "fair_list_id": "string",  "version": -9007199254740991,  "field_map": [    {      "source": "string",      "target_ref": "string",      "target_label": "string",      "transform": "string"    }  ],  "upload_steps": [    {      "image_slot": "string",      "target_ref": "string"    }  ],  "submit_step": {    "target_ref": "string",    "confirm": true  },  "confirmed_by": "string",  "learned_at": "string",  "created_at": "string",  "updated_at": "string"}